import React from "react";
import "./App.css";
import { Provider } from "react-redux";
import Routes from "./components/routes";
import { store } from "./reducers/store";

function App() {
  return (
    <>
      <Provider store={store}>
        <Routes />
      </Provider>
    </>
  );
}

export default App;
