function authReducer(state, action) {
  //....
  if (state === undefined) {
    if (!localStorage.authToken) {
      return {};
    }
    action.token = localStorage.authToken;
    action.type = "LOGIN";
    // добавить в action token из localStorage, и проимитировать LOGIN
  }
  if (action.type === "LOGIN") {
    localStorage.authToken = action.token;
    function jwt_decode(token) {
      var start64Url = token.split(".")[1];
      return JSON.parse(atob(start64Url));
    }
    return { token: action.token, payload: jwt_decode(action.token) };
  }
  if (action.type === "LOGOUT") {
    localStorage.removeItem("authToken");
    //вернуть пустой объект
    return {};
  }
  return state;
}
export default authReducer;
